import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiPanelElement } from "../../elements/StiPanelElement";
import { StiFormElement } from "../../elements/base/StiFormElement";
import { StiBorderArea } from "../../properties/StiBorderArea";
import StiRectangleGeometryLayout from "../../computed/StiRectangleGeometryLayout";
export declare class StiPanelComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    render: StiRectangleGeometryLayout;
    ref: ElementRef;
    element: StiPanelElement;
    isClone: boolean;
    currentBottomPoint: number;
    get elements(): StiFormElement[];
    get borderArea(): StiBorderArea;
    get align(): string;
    get minWidth(): number | "min-content";
    get minHeight(): number;
    constructor(model: StiModelService, render: StiRectangleGeometryLayout);
    ngAfterViewInit(): void;
    ngOnInit(): void;
}
